﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Notizzettel
{
    /// <summary>
    /// Interaktionslogik für Notiz.xaml
    /// </summary>
    public partial class Notiz : Window
    {
        DateTime zeitpunkt = DateTime.Now;
        public Notiz(Brush farbe)
        {
            InitializeComponent();
            textBox.Background = farbe;
            Title = zeitpunkt.ToString("dd. MMM yyyy, HH:mm");
        }
        public Notizdaten Daten
        {
            get
            {
                Notizdaten n = new Notizdaten();
                n.Farbe = ((SolidColorBrush)textBox.Background).Color;
                n.Inhalt = textBox.Text;
                n.Zeitpunkt = zeitpunkt;
                return n;
            }

            set
            {
                textBox.Background = new SolidColorBrush(value.Farbe);
                textBox.Text = value.Inhalt;
                zeitpunkt = value.Zeitpunkt;
                Title = zeitpunkt.ToString("dd. MMM yyyy, HH:mm");
            }
        }
    }

    public class Notizdaten
    {
        public Color Farbe;
        public DateTime Zeitpunkt;
        public string Inhalt;
    }
}
